{ config, inputs, ... }:
let 
  inherit (config.networking) hostName;                                   # Inherit variable
  isClean = inputs.self ? rev;                                            # Only enable if current config came from clean tree
in
{
  system.autoUpgrade = {                                                  # NixOS auto upgrade
    enable = isClean;
    dates = "hourly";                                                       
    flags = [
      "--refresh"
    ];
  };
}
